Skip to main content
GET
/
content
/
opportunities
List content opportunities
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/content/opportunities \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "total": 123,
    "opportunities": [
      {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>",
        "suggestedAssetType": "<string>",
        "source": "<string>",
        "status": "<string>",
        "priorityScore": 123,
        "impactScore": 123,
        "confidenceScore": 123,
        "effortScore": 123,
        "searchIntent": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

source
enum<string>

Filter by opportunity source

Available options:
ghl_conversation,
google_ads,
meta_ads,
seo,
content_performance,
confirmed_learning,
nurture_email,
manual,
content_listener
status
enum<string>

Filter by status

Available options:
open,
accepted,
snoozed,
dismissed,
expired
limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

Paginated opportunity list

success
boolean
required
data
object
meta
object